Retrieves analysis status and progress.
GET
/
api
/
v1
/
templates
/
{template_id}
/
analysis
/
status
Check analysis status
curl --request GET \
--url https://api.example.com/api/v1/templates/{template_id}/analysis/status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/v1/templates/{template_id}/analysis/status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/v1/templates/{template_id}/analysis/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"progress": 0,
"current_step": "<string>",
"message": "<string>",
"steps": [
{}
],
"started_at": "2023-11-07T05:31:56Z",
"estimated_completion_at": "2023-11-07T05:31:56Z",
"elapsed_time": 123,
"error": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Production API key. Development/test deployments may also allow X-Org-Name.
Path Parameters
Query Parameters
Specific analysis ID (defaults to latest)
Response
Successful Response
Analysis status response.
⌘I
Check analysis status
